GNU bug report logs - #22527
25.0.90; Updating packages seems to be broken

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: nljlistbox2@HIDDEN (N. Jackson); dated Mon, 1 Feb 2016 22:24:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed indication that bug 22527 blocks Request was from Dmitry Gutov <dgutov@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22527 <at> debbugs.gnu.org:


Received: (at 22527) by debbugs.gnu.org; 3 Mar 2016 23:56:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 03 18:56:09 2016
Received: from localhost ([127.0.0.1]:60621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1abd6H-0008HL-4r
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2016 18:56:09 -0500
Received: from mail-yw0-f169.google.com ([209.85.161.169]:35586)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <arturmalabarba@HIDDEN>) id 1abd6F-0008H8-Gc
 for 22527 <at> debbugs.gnu.org; Thu, 03 Mar 2016 18:56:07 -0500
Received: by mail-yw0-f169.google.com with SMTP id g127so31919538ywf.2
 for <22527 <at> debbugs.gnu.org>; Thu, 03 Mar 2016 15:56:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc;
 bh=U25B2vqnkndF+UT5SNM+b0jwAhBu6+8NH98gPyZCItY=;
 b=ptfsTQEclYmV9UIITWbvKSEoHQtYltigsQu9ZIq7UID6fOVoINAoY9Y1n8s4SwdJZE
 T0MOO+AoCoSfOjGGL9wZWl1B50FCci8cbazoU2jrqwzJuxBvL1nxH85cg7TeRXx6Cv4f
 YOYL6fZsHcgWaRYSY8sC5SDLydivRr1Vyx5OxFI0wvPmNMzoQkvH0pHLjjhI1x/CymPQ
 1IhzrJtolX5Gm0vyijRSDhBCD1A0/L1nC9rxhRF7V5lI3JSwB3NjV0zXOB3qahu3CwFp
 tSQ+qc51RgN6OK9lGXXZvYvdrnqGwxG9tGgu6qqvnsGw/W32St3NHR0FMMqg+DL9cvMq
 1H9g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:reply-to:sender:in-reply-to
 :references:date:message-id:subject:from:to:cc;
 bh=U25B2vqnkndF+UT5SNM+b0jwAhBu6+8NH98gPyZCItY=;
 b=LZ3oDRQWrX6OZtb86rtGgPTBXvAYIXe+qUp5UuLCDmyLFFBBaJHsCFutPTm+XjLEOl
 CkROlULjJytcZZGIq5TlLd4apzyJdD324eTEhlLFpbku4dZ+rVfC1B+0eE81ORyP4fPl
 YivRvcUcl1eAnya/Zp1mfcrfvclRotM3GBRNHp0Ia0OZemDaIjkhoi+mlUR3ci5Eri7y
 gnmjN+/0UlLN5laF+7XQml1mNN5JqotxkI1MESHmL0ge3bDR5H3m/Vw1uQhUxbnkV90c
 tT8aAMxGiy+lOFrxIHvd8Gbx55+5B77oklk1p/TbcFn2cG4gwT9nVCw+XnvzsArJZPDX
 z6pQ==
X-Gm-Message-State: AD7BkJL2CT534iONnAPrPiJqSmqPoZRFjLdlJ5PHtvIoAyNBFNbl+h2liz21W7HChGnU/GCpsfcPhlg455cLpg==
MIME-Version: 1.0
X-Received: by 10.13.215.18 with SMTP id z18mr3088664ywd.278.1457049361862;
 Thu, 03 Mar 2016 15:56:01 -0800 (PST)
Received: by 10.129.32.134 with HTTP; Thu, 3 Mar 2016 15:56:01 -0800 (PST)
Received: by 10.129.32.134 with HTTP; Thu, 3 Mar 2016 15:56:01 -0800 (PST)
In-Reply-To: <8737s7wd9o.fsf@HIDDEN>
References: <87k2mo6pez.fsf@HIDDEN>
	<8737s7wd9o.fsf@HIDDEN>
Date: Thu, 3 Mar 2016 20:56:01 -0300
X-Google-Sender-Auth: tWnB13qqYU4meBb8PZVCi5G4yZg
Message-ID: <CAAdUY-LhUZfpuPCUNj2DnSYJn47zzP73YuYzCv=qNLxOPRc=Sw@HIDDEN>
Subject: Re: bug#22527: 25.0.90; Updating packages seems to be broken
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: "N. Jackson" <nljlistbox2@HIDDEN>
Content-Type: multipart/alternative; boundary=94eb2c076372a25669052d2dbded
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22527
Cc: 22527 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: bruce.connor.am@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--94eb2c076372a25669052d2dbded
Content-Type: text/plain; charset=UTF-8

> This part of my bug report was pilot error. It seems that there has been
> a change in behaviour? When package-menu-mark-upgrades marks a package
> for upgrade, it now also marks the old version of the package for
> deletion. This explains the above message that surprised me. I don't
> think it did this before? IIRC, formerly it prompted to delete the old
> version after the new version was successfully installed.

The marking was always like this. The only difference is that it used to
ask two separate questions (possibly several minutes apart), and now it
only asks once for everything.

The fact that it offered to delete org even though the new version wasn't
installable is definitely a bug that needs to be fixed.
But I don't think it's a regression. In fact, with the previous behaviour
it probably would have been harder to spot.

--94eb2c076372a25669052d2dbded
Content-Type: text/html; charset=UTF-8

<p dir="ltr">&gt; This part of my bug report was pilot error. It seems that there has been<br>
&gt; a change in behaviour? When package-menu-mark-upgrades marks a package<br>
&gt; for upgrade, it now also marks the old version of the package for<br>
&gt; deletion. This explains the above message that surprised me. I don&#39;t<br>
&gt; think it did this before? IIRC, formerly it prompted to delete the old<br>
&gt; version after the new version was successfully installed.</p>
<p dir="ltr">The marking was always like this. The only difference is that it used to ask two separate questions (possibly several minutes apart), and now it only asks once for everything. </p>
<p dir="ltr">The fact that it offered to delete org even though the new version wasn&#39;t installable is definitely a bug that needs to be fixed. <br>
But I don&#39;t think it&#39;s a regression. In fact, with the previous behaviour it probably would have been harder to spot. </p>

--94eb2c076372a25669052d2dbded--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22527; Package emacs. Full text available.

Message received at 22527 <at> debbugs.gnu.org:


Received: (at 22527) by debbugs.gnu.org; 3 Mar 2016 19:51:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 03 14:51:58 2016
Received: from localhost ([127.0.0.1]:60473 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1abZHy-0000IG-0h
	for submit <at> debbugs.gnu.org; Thu, 03 Mar 2016 14:51:58 -0500
Received: from mail-ig0-f182.google.com ([209.85.213.182]:37504)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <nljlistbox2@HIDDEN>) id 1abZHv-0000I1-SH
 for 22527 <at> debbugs.gnu.org; Thu, 03 Mar 2016 14:51:56 -0500
Received: by mail-ig0-f182.google.com with SMTP id z8so2725307ige.0
 for <22527 <at> debbugs.gnu.org>; Thu, 03 Mar 2016 11:51:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=F4JUiqWVvJSHnSRXfKLI1btYg17Yl2uuiqD7oAqScH4=;
 b=Zgi0adpNOJq/gmImk87EfEs7OpgfijiAu/vD6hnsG0ZYAnzXxdVlzjKFuO78yHF1z9
 kZb2dmlv95DO865fKrPT9ztYxsks7f/cAaYIro22bFDu55n5agG6z75u4vjgoVB60kuL
 G8hTTqE5tpUnvAdYvN4a96LPsksc0En9eR4plZuCLWf2CTf5EVZNTnAjld+8xDHfqMpJ
 Gbj3OYtlqPFLxqVJ+fu2v+vgk9IEr21RLPyu6fZ5j/9/KlF/+XiQm1BzA/gEhnWXcg7D
 wib6U+MasQnn9gMqRTUkHjMwugsj5bJhyfT3tK59rY3OuT0dgmQPbJc0LCyJK8kA+gFF
 mBIw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=F4JUiqWVvJSHnSRXfKLI1btYg17Yl2uuiqD7oAqScH4=;
 b=InaxFZoYtyq824SB4o3xgRCxjqC1yR/AYk4ILji+BEl0peZZUVV3HbfsRCfOIikyC+
 /bF27vDI5+yzo+19QwYxDNjHngblb/BwW+3dZuMw7sbsxXYGY+Kf7rpX622WtWnnl9/4
 9lFgKsRGXSWmxEt3N8WWA4VxRQ4g2RQx1ch94SzlwTLv62hNdb/PmfDep0H6cKiIyx5q
 Rehrz3mumFedG2AyCoEsFzPOt1XtXvOjFeh4ECiqiRHGHz/m62vejyDNpQVasDg8Zf1V
 MNdXaUGmeEFNbiqLPqGjBtF6BOyfWzfqxzKM1FH1KRhChw8q6M9l6mRC5oJdp8/XB9kj
 8D1Q==
X-Gm-Message-State: AD7BkJJEr8VqCXR7P9qzYiCMGsUQw23KinLikRRX7HwfkpN3YLYBI3PGhONAR1BqHvoVEw==
X-Received: by 10.50.147.67 with SMTP id ti3mr901072igb.48.1457034710188;
 Thu, 03 Mar 2016 11:51:50 -0800 (PST)
Received: from moondust.nodomain.none ([142.227.16.2])
 by smtp.gmail.com with ESMTPSA id i187sm46927ioi.33.2016.03.03.11.51.48
 for <22527 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 03 Mar 2016 11:51:49 -0800 (PST)
From: nljlistbox2@HIDDEN (N. Jackson)
To: 22527 <at> debbugs.gnu.org
Subject: Re: bug#22527: 25.0.90; Updating packages seems to be broken
References: <87k2mo6pez.fsf@HIDDEN>
Date: Thu, 03 Mar 2016 15:51:47 -0400
In-Reply-To: <87k2mo6pez.fsf@HIDDEN> (N. Jackson's message of "Mon, 01 Feb
 2016 18:23:16 -0400")
Message-ID: <8737s7wd9o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 22527
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

At 18:23 -0400 on Monday 2016-02-01, N. Jackson wrote:
>
> For several years, for my system at least, package update has been as
> simple as:
>
>     M-x list-packages RET
>     U                      ; (package-menu-mark-upgrades)
>     x                      ; (package-menu-execute)
>
> This no longer seems to work. Instead, I get the message:
>
>     Unsigned file =E2=80=98org-20160201.tar=E2=80=99 at http://elpa.gnu.o=
rg/packages/

This is possibly related to http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D=
22440.

With the new pretest (25.0.92) this problem seems to be fixed. Whether
that means that #22440 is now fixed, or that org is now signed or
something else, I don't know.

> I tried removing the install mark (the `I' in the left margin) for
> org to see if I could get my other packages to update at least, but this
> leads to the message:
>
>     Delete package =E2=80=98org-20151123=E2=80=99; and Upgrade these 2 pa=
ckages (auctex-11.89.1, debbugs-0.9)? (y or n)
>
> This message makes no sense: I don't want to delete org just because I
> can't update it. Naturally I answered `n' to the prompt. But now things
> are stuck in a limbo where I can't update any packages.

This part of my bug report was pilot error. It seems that there has been
a change in behaviour? When package-menu-mark-upgrades marks a package
for upgrade, it now also marks the old version of the package for
deletion. This explains the above message that surprised me. I don't
think it did this before? IIRC, formerly it prompted to delete the old
version after the new version was successfully installed.

If this is a new change in behaviour in Emacs 25, I suppose it should be
in NEWS?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22527; Package emacs. Full text available.
Added indication that bug 22527 blocks19759 Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Feb 2016 22:23:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 01 17:23:38 2016
Received: from localhost ([127.0.0.1]:55364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aQMsj-0003xE-LZ
	for submit <at> debbugs.gnu.org; Mon, 01 Feb 2016 17:23:38 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45160)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <nljlistbox2@HIDDEN>) id 1aQMsi-0003x0-4J
 for submit <at> debbugs.gnu.org; Mon, 01 Feb 2016 17:23:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1aQMsa-0006Iv-Eo
 for submit <at> debbugs.gnu.org; Mon, 01 Feb 2016 17:23:30 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59039)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1aQMsa-0006Ir-BW
 for submit <at> debbugs.gnu.org; Mon, 01 Feb 2016 17:23:28 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36110)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1aQMsX-0000Eq-1F
 for bug-gnu-emacs@HIDDEN; Mon, 01 Feb 2016 17:23:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1aQMsT-0006H3-Mm
 for bug-gnu-emacs@HIDDEN; Mon, 01 Feb 2016 17:23:24 -0500
Received: from mail-io0-x22e.google.com ([2607:f8b0:4001:c06::22e]:34012)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1aQMsT-0006Gm-Ei
 for bug-gnu-emacs@HIDDEN; Mon, 01 Feb 2016 17:23:21 -0500
Received: by mail-io0-x22e.google.com with SMTP id 9so95646422iom.1
 for <bug-gnu-emacs@HIDDEN>; Mon, 01 Feb 2016 14:23:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type
 :content-transfer-encoding;
 bh=Wfm78AHii36uZdoKF7hljsDjZMye/0dWYDuQSHgcUOM=;
 b=dbXOwa52LYa7qhWVEXBwwjmocWMGu+rofBoBKQZ7A/tMkLs6R1DTzhw7bJR+R1xG9w
 A49cmM83AwnIXB4IF/lNVRzMTdFzklJvCeijlYKOGBzzQhDWRPguuU22qwkK41/QJlsH
 GWZXMkmByclxnHbbCIMX4MAeyYVKBy3Sg6a06Wv91UBwOuNDW1ZUS2AxuwEQvQiRvCo/
 CrbMUkNpDiD365zr2E434g36GosaF9rFXWmxSRz8hjiLQtRXKNvR7upNInLXjV5w4vTC
 UvWs+vTRT22TQ67+N1pijeVS9uPIQIAUGl78ULh8Da6Sm8x/eemU8YjLMXwf8tSUM+Sh
 Npfg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-type:content-transfer-encoding;
 bh=Wfm78AHii36uZdoKF7hljsDjZMye/0dWYDuQSHgcUOM=;
 b=DrSTV5XBCBnU37WOvMPKhAiU0PPjFn+9g1bapeWdKhIHnFb9zdwfx1zI+7l+tcbiS4
 yB6fbOm7Xh4m/ztDrML5VEHH4tnA7A44MYoyNsP6WSIDxgMU3ilGhtgzXdoIjHYoA95p
 WTbaLwhZhMqyYV9aYHDZwzhbLXxjCsRYGGZG26ZpuJtBOkx6OPRonCnGkDSGuoqQ1Yct
 8pKP39rHNCqG/pqQ29zSqQQ4gMX2++IbsoepUkKfelUIJLrznsDBwRYqcEgf+t6Icalc
 Q24gaP/t20WtmB5zTDTpIBEey5oDaCQ8QxFlf2J2k1E4lrAJjh8z/I7RolCOe7wddPjr
 h53g==
X-Gm-Message-State: AG10YOSbotkkmo79vNZOzu2XxxKtQ4paQKnS8J4C3jpN242n+YdZxMhKygnPrUqx5KD1AA==
X-Received: by 10.107.34.133 with SMTP id i127mr26470127ioi.150.1454365400682; 
 Mon, 01 Feb 2016 14:23:20 -0800 (PST)
Received: from moondust.nodomain.none (66-46-90-198.dedicated.allstream.net.
 [66.46.90.198])
 by smtp.gmail.com with ESMTPSA id is5sm5105697igb.11.2016.02.01.14.23.18
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 01 Feb 2016 14:23:20 -0800 (PST)
From: nljlistbox2@HIDDEN (N. Jackson)
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.90; Updating packages seems to be broken
Date: Mon, 01 Feb 2016 18:23:16 -0400
Message-ID: <87k2mo6pez.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)


After upgrade to the pre-test of Emacs 25, updating of packages seems to
be broken.

For several years, for my system at least, package update has been as
simple as:

    M-x list-packages RET
    U                      ; (package-menu-mark-upgrades)
    x                      ; (package-menu-execute)

This no longer seems to work. Instead, I get the message:

    Unsigned file =E2=80=98org-20160201.tar=E2=80=99 at http://elpa.gnu.org=
/packages/

There is no other message or indication of what has happened, but it
looks like the package-menu-execute command is silently aborting -- at
least, after waiting a while, nothing further seems to happen.

I tried removing the install mark (the `I' in the left margin) for
org to see if I could get my other packages to update at least, but this
leads to the message:

    Delete package =E2=80=98org-20151123=E2=80=99; and Upgrade these 2 pack=
ages (auctex-11.89.1, debbugs-0.9)? (y or n)

This message makes no sense: I don't want to delete org just because I
can't update it. Naturally I answered `n' to the prompt. But now things
are stuck in a limbo where I can't update any packages.



In GNU Emacs 25.0.90.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.18.7)
 of 2016-01-31 built on moondust
Windowing system distributor 'Fedora Project', version 11.0.11800000
System Description:	Fedora release 23 (Twenty Three)

Configured using:
 'configure --prefix=3D/home/nlj/local/ --enable-checking=3Dyes,glyphs
 'CFLAGS=3D-O0 -g3 -ggdb''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LC_MONETARY: en_DK.utf8
  value of $LC_NUMERIC: en_DK.utf8
  value of $LC_TIME: en_DK.utf8
  value of $LANG: en_CA.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Messages

Minor modes in effect:
  recentf-mode: t
  display-battery-mode: t
  display-time-mode: t
  save-place-mode: t
  delete-selection-mode: t
  show-paren-mode: t
  savehist-mode: t
  electric-pair-mode: t
  desktop-save-mode: t
  cua-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Recent messages:
Auto-saving...done
Auto-saving...done
Mark set [2 times]
next-line: End of buffer
Auto-saving...done
next-line: End of buffer
Auto-saving...done
next-line: End of buffer
Saving file /home/nlj/bug-reports.txt...
Wrote /home/nlj/bug-reports.txt

Load-path shadows:
/home/nlj/.emacs.d/elpa/org-20151123/ob-gnuplot hides /data/projects/vc/ema=
cs/emacs-25.0.90/lisp/org/ob-gnuplot
/home/nlj/.emacs.d/elpa/org-20151123/org-eshell hides /data/projects/vc/ema=
cs/emacs-25.0.90/lisp/org/org-eshell
/home/nlj/.emacs.d/elpa/org-20151123/ox-md hides /data/projects/vc/emacs/em=
acs-25.0.90/lisp/org/ox-md
/home/nlj/.emacs.d/elpa/org-20151123/ob-shen hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/ob-shen
/home/nlj/.emacs.d/elpa/org-20151123/org-timer hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/org-timer
/home/nlj/.emacs.d/elpa/org-20151123/ob-ruby hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/ob-ruby
/home/nlj/.emacs.d/elpa/org-20151123/ox hides /data/projects/vc/emacs/emacs=
-25.0.90/lisp/org/ox
/home/nlj/.emacs.d/elpa/org-20151123/ox-html hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/ox-html
/home/nlj/.emacs.d/elpa/org-20151123/ob-latex hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/ob-latex
/home/nlj/.emacs.d/elpa/org-20151123/org-archive hides /data/projects/vc/em=
acs/emacs-25.0.90/lisp/org/org-archive
/home/nlj/.emacs.d/elpa/org-20151123/ob-org hides /data/projects/vc/emacs/e=
macs-25.0.90/lisp/org/ob-org
/home/nlj/.emacs.d/elpa/org-20151123/org-install hides /data/projects/vc/em=
acs/emacs-25.0.90/lisp/org/org-install
/home/nlj/.emacs.d/elpa/org-20151123/ox-latex hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/ox-latex
/home/nlj/.emacs.d/elpa/org-20151123/ob-sass hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/ob-sass
/home/nlj/.emacs.d/elpa/org-20151123/ox-icalendar hides /data/projects/vc/e=
macs/emacs-25.0.90/lisp/org/ox-icalendar
/home/nlj/.emacs.d/elpa/org-20151123/ob-screen hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/ob-screen
/home/nlj/.emacs.d/elpa/org-20151123/org-bibtex hides /data/projects/vc/ema=
cs/emacs-25.0.90/lisp/org/org-bibtex
/home/nlj/.emacs.d/elpa/org-20151123/org-footnote hides /data/projects/vc/e=
macs/emacs-25.0.90/lisp/org/org-footnote
/home/nlj/.emacs.d/elpa/org-20151123/org-datetree hides /data/projects/vc/e=
macs/emacs-25.0.90/lisp/org/org-datetree
/home/nlj/.emacs.d/elpa/org-20151123/org-colview hides /data/projects/vc/em=
acs/emacs-25.0.90/lisp/org/org-colview
/home/nlj/.emacs.d/elpa/org-20151123/org-attach hides /data/projects/vc/ema=
cs/emacs-25.0.90/lisp/org/org-attach
/home/nlj/.emacs.d/elpa/org-20151123/org-mouse hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/org-mouse
/home/nlj/.emacs.d/elpa/org-20151123/ob-dot hides /data/projects/vc/emacs/e=
macs-25.0.90/lisp/org/ob-dot
/home/nlj/.emacs.d/elpa/org-20151123/ob-scala hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/ob-scala
/home/nlj/.emacs.d/elpa/org-20151123/org-compat hides /data/projects/vc/ema=
cs/emacs-25.0.90/lisp/org/org-compat
/home/nlj/.emacs.d/elpa/org-20151123/ob-core hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/ob-core
/home/nlj/.emacs.d/elpa/org-20151123/ob-awk hides /data/projects/vc/emacs/e=
macs-25.0.90/lisp/org/ob-awk
/home/nlj/.emacs.d/elpa/org-20151123/ob-makefile hides /data/projects/vc/em=
acs/emacs-25.0.90/lisp/org/ob-makefile
/home/nlj/.emacs.d/elpa/org-20151123/org-macro hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/org-macro
/home/nlj/.emacs.d/elpa/org-20151123/org-ctags hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/org-ctags
/home/nlj/.emacs.d/elpa/org-20151123/org-capture hides /data/projects/vc/em=
acs/emacs-25.0.90/lisp/org/org-capture
/home/nlj/.emacs.d/elpa/org-20151123/ox-beamer hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/ox-beamer
/home/nlj/.emacs.d/elpa/org-20151123/org-mobile hides /data/projects/vc/ema=
cs/emacs-25.0.90/lisp/org/org-mobile
/home/nlj/.emacs.d/elpa/org-20151123/org-indent hides /data/projects/vc/ema=
cs/emacs-25.0.90/lisp/org/org-indent
/home/nlj/.emacs.d/elpa/org-20151123/ob-lilypond hides /data/projects/vc/em=
acs/emacs-25.0.90/lisp/org/ob-lilypond
/home/nlj/.emacs.d/elpa/org-20151123/ob-asymptote hides /data/projects/vc/e=
macs/emacs-25.0.90/lisp/org/ob-asymptote
/home/nlj/.emacs.d/elpa/org-20151123/ox-odt hides /data/projects/vc/emacs/e=
macs-25.0.90/lisp/org/ox-odt
/home/nlj/.emacs.d/elpa/org-20151123/org-w3m hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/org-w3m
/home/nlj/.emacs.d/elpa/org-20151123/ob-plantuml hides /data/projects/vc/em=
acs/emacs-25.0.90/lisp/org/ob-plantuml
/home/nlj/.emacs.d/elpa/org-20151123/ob-table hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/ob-table
/home/nlj/.emacs.d/elpa/org-20151123/ob-ocaml hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/ob-ocaml
/home/nlj/.emacs.d/elpa/org-20151123/org-crypt hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/org-crypt
/home/nlj/.emacs.d/elpa/org-20151123/ob-js hides /data/projects/vc/emacs/em=
acs-25.0.90/lisp/org/ob-js
/home/nlj/.emacs.d/elpa/org-20151123/ob-clojure hides /data/projects/vc/ema=
cs/emacs-25.0.90/lisp/org/ob-clojure
/home/nlj/.emacs.d/elpa/org-20151123/ob-haskell hides /data/projects/vc/ema=
cs/emacs-25.0.90/lisp/org/ob-haskell
/home/nlj/.emacs.d/elpa/org-20151123/org-version hides /data/projects/vc/em=
acs/emacs-25.0.90/lisp/org/org-version
/home/nlj/.emacs.d/elpa/org-20151123/ob-scheme hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/ob-scheme
/home/nlj/.emacs.d/elpa/org-20151123/org-table hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/org-table
/home/nlj/.emacs.d/elpa/org-20151123/ob-C hides /data/projects/vc/emacs/ema=
cs-25.0.90/lisp/org/ob-C
/home/nlj/.emacs.d/elpa/org-20151123/ob-ledger hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/ob-ledger
/home/nlj/.emacs.d/elpa/org-20151123/ob-fortran hides /data/projects/vc/ema=
cs/emacs-25.0.90/lisp/org/ob-fortran
/home/nlj/.emacs.d/elpa/org-20151123/ob-sql hides /data/projects/vc/emacs/e=
macs-25.0.90/lisp/org/ob-sql
/home/nlj/.emacs.d/elpa/org-20151123/org hides /data/projects/vc/emacs/emac=
s-25.0.90/lisp/org/org
/home/nlj/.emacs.d/elpa/org-20151123/org-loaddefs hides /data/projects/vc/e=
macs/emacs-25.0.90/lisp/org/org-loaddefs
/home/nlj/.emacs.d/elpa/org-20151123/org-list hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/org-list
/home/nlj/.emacs.d/elpa/org-20151123/ob-lisp hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/ob-lisp
/home/nlj/.emacs.d/elpa/org-20151123/org-docview hides /data/projects/vc/em=
acs/emacs-25.0.90/lisp/org/org-docview
/home/nlj/.emacs.d/elpa/org-20151123/ob-eval hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/ob-eval
/home/nlj/.emacs.d/elpa/org-20151123/org-element hides /data/projects/vc/em=
acs/emacs-25.0.90/lisp/org/org-element
/home/nlj/.emacs.d/elpa/org-20151123/ob hides /data/projects/vc/emacs/emacs=
-25.0.90/lisp/org/ob
/home/nlj/.emacs.d/elpa/org-20151123/ox-ascii hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/ox-ascii
/home/nlj/.emacs.d/elpa/org-20151123/org-info hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/org-info
/home/nlj/.emacs.d/elpa/org-20151123/ob-css hides /data/projects/vc/emacs/e=
macs-25.0.90/lisp/org/ob-css
/home/nlj/.emacs.d/elpa/org-20151123/org-rmail hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/org-rmail
/home/nlj/.emacs.d/elpa/org-20151123/org-irc hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/org-irc
/home/nlj/.emacs.d/elpa/org-20151123/ob-tangle hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/ob-tangle
/home/nlj/.emacs.d/elpa/org-20151123/ob-ditaa hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/ob-ditaa
/home/nlj/.emacs.d/elpa/org-20151123/org-feed hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/org-feed
/home/nlj/.emacs.d/elpa/org-20151123/org-clock hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/org-clock
/home/nlj/.emacs.d/elpa/org-20151123/org-habit hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/org-habit
/home/nlj/.emacs.d/elpa/org-20151123/org-pcomplete hides /data/projects/vc/=
emacs/emacs-25.0.90/lisp/org/org-pcomplete
/home/nlj/.emacs.d/elpa/org-20151123/org-entities hides /data/projects/vc/e=
macs/emacs-25.0.90/lisp/org/org-entities
/home/nlj/.emacs.d/elpa/org-20151123/ob-io hides /data/projects/vc/emacs/em=
acs-25.0.90/lisp/org/ob-io
/home/nlj/.emacs.d/elpa/org-20151123/ob-octave hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/ob-octave
/home/nlj/.emacs.d/elpa/org-20151123/org-faces hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/org-faces
/home/nlj/.emacs.d/elpa/org-20151123/ob-perl hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/ob-perl
/home/nlj/.emacs.d/elpa/org-20151123/org-src hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/org-src
/home/nlj/.emacs.d/elpa/org-20151123/org-protocol hides /data/projects/vc/e=
macs/emacs-25.0.90/lisp/org/org-protocol
/home/nlj/.emacs.d/elpa/org-20151123/ox-man hides /data/projects/vc/emacs/e=
macs-25.0.90/lisp/org/ox-man
/home/nlj/.emacs.d/elpa/org-20151123/ob-python hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/ob-python
/home/nlj/.emacs.d/elpa/org-20151123/ob-mscgen hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/ob-mscgen
/home/nlj/.emacs.d/elpa/org-20151123/ox-texinfo hides /data/projects/vc/ema=
cs/emacs-25.0.90/lisp/org/ox-texinfo
/home/nlj/.emacs.d/elpa/org-20151123/ob-exp hides /data/projects/vc/emacs/e=
macs-25.0.90/lisp/org/ob-exp
/home/nlj/.emacs.d/elpa/org-20151123/org-inlinetask hides /data/projects/vc=
/emacs/emacs-25.0.90/lisp/org/org-inlinetask
/home/nlj/.emacs.d/elpa/org-20151123/ox-publish hides /data/projects/vc/ema=
cs/emacs-25.0.90/lisp/org/ox-publish
/home/nlj/.emacs.d/elpa/org-20151123/ob-java hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/ob-java
/home/nlj/.emacs.d/elpa/org-20151123/ob-sqlite hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/ob-sqlite
/home/nlj/.emacs.d/elpa/org-20151123/org-mhe hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/org-mhe
/home/nlj/.emacs.d/elpa/org-20151123/ox-org hides /data/projects/vc/emacs/e=
macs-25.0.90/lisp/org/ox-org
/home/nlj/.emacs.d/elpa/org-20151123/ob-R hides /data/projects/vc/emacs/ema=
cs-25.0.90/lisp/org/ob-R
/home/nlj/.emacs.d/elpa/org-20151123/ob-lob hides /data/projects/vc/emacs/e=
macs-25.0.90/lisp/org/ob-lob
/home/nlj/.emacs.d/elpa/org-20151123/ob-picolisp hides /data/projects/vc/em=
acs/emacs-25.0.90/lisp/org/ob-picolisp
/home/nlj/.emacs.d/elpa/org-20151123/org-agenda hides /data/projects/vc/ema=
cs/emacs-25.0.90/lisp/org/org-agenda
/home/nlj/.emacs.d/elpa/org-20151123/ob-matlab hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/ob-matlab
/home/nlj/.emacs.d/elpa/org-20151123/org-gnus hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/org-gnus
/home/nlj/.emacs.d/elpa/org-20151123/org-macs hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/org-macs
/home/nlj/.emacs.d/elpa/org-20151123/org-id hides /data/projects/vc/emacs/e=
macs-25.0.90/lisp/org/org-id
/home/nlj/.emacs.d/elpa/org-20151123/ob-keys hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/ob-keys
/home/nlj/.emacs.d/elpa/org-20151123/ob-comint hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/ob-comint
/home/nlj/.emacs.d/elpa/org-20151123/ob-ref hides /data/projects/vc/emacs/e=
macs-25.0.90/lisp/org/ob-ref
/home/nlj/.emacs.d/elpa/org-20151123/org-bbdb hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/org-bbdb
/home/nlj/.emacs.d/elpa/org-20151123/ob-calc hides /data/projects/vc/emacs/=
emacs-25.0.90/lisp/org/ob-calc
/home/nlj/.emacs.d/elpa/org-20151123/ob-emacs-lisp hides /data/projects/vc/=
emacs/emacs-25.0.90/lisp/org/ob-emacs-lisp
/home/nlj/.emacs.d/elpa/org-20151123/ob-maxima hides /data/projects/vc/emac=
s/emacs-25.0.90/lisp/org/ob-maxima
/home/nlj/.emacs.d/elpa/org-20151123/org-plot hides /data/projects/vc/emacs=
/emacs-25.0.90/lisp/org/org-plot
~/.emacs.d/modules/emms/lisp/tq hides /data/projects/vc/emacs/emacs-25.0.90=
/lisp/emacs-lisp/tq

Features:
(shadow emacsbug url-handlers flow-fill eieio-opt speedbar sb-image
ezimage dframe gnus-fun url-http url-gw url-auth url-queue bbdb-message
sendmail nnir shr-color color shr seq dom subr-x mm-archive gnus-html
browse-url xml url-cache mm-url smiley gnus-cite gnus-bcklg gnus-async
qp mail-extr gnus-ml disp-table nndraft nnmh utf-7 epa-file epa derived
network-stream nsm starttls nnfolder bbdb-gnus bbdb-mua nnnil gnus-agent
gnus-srvr gnus-score score-mode nnvirtual gnus-msg nntp gnus-cache
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs sieve-mode view flyspell ispell sage sage-load rx
emms-bookmarks emms-cue emms-mode-line-icon emms-browser sort
emms-playlist-sort emms-last-played emms-player-xine emms-player-mpd tq
emms-playing-time emms-lyrics emms-url url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
url-parse auth-source eieio byte-opt bytecomp byte-compile cl-extra
cconv eieio-core url-vars emms-streams emms-tag-editor emms-mark
emms-mode-line emms-cache emms-info-ogginfo emms-info-mp3info emms-info
later-do emms-playlist-mode emms-player-vlc emms-player-mplayer
emms-player-simple emms-source-playlist emms-source-file locate
emms-setup emms emms-compat compile navi-mode outshine outorg
org-contacts cl-seq org-capture gnus-art mm-uu mml2015 mm-view mml-smime
smime password-cache dig mailcap gnus-sum gnus-group gnus-undo
gnus-start gnus-cloud nnimap nnmail mail-source tls gnutls utf7 netrc
nnoo parse-time gnus-spec gnus-int gnus-range message cl-macs rfc822 mml
mml-sec epg mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 ietf-drums gmm-utils mailheader gnus-win gnus gnus-ems nnheader
mail-utils mm-util help-fns help-mode mail-prsvr cl gv org-rmail org-mhe
org-irc org-info org-gnus gnus-util org-docview doc-view jka-compr
image-mode dired org-bibtex bibtex org-bbdb org-element avl-tree org-w3m
org-agenda org advice org-macro org-footnote org-pcomplete pcomplete
org-list org-faces org-entities noutline outline easy-mmode org-version
ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table ob-exp org-src ob-keys
ob-comint comint ansi-color ring ob-core ob-eval org-compat org-macs
org-loaddefs format-spec find-func bbdb-anniv diary-lib diary-loaddefs
cal-menu calendar cal-loaddefs bbdb-com crm mailabbrev bbdb bbdb-site
timezone bbdb-loaddefs finder-inf tex-site info package epg-config
edmacro kmacro recentf tree-widget wid-edit easymenu battery time
saveplace wheatgrass-theme delsel paren savehist elec-pair desktop
frameset cl-loaddefs pcase cl-lib cua-base cus-start cus-load time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 762987 170002)
 (symbols 48 103423 0)
 (miscs 40 3848 6048)
 (strings 32 182709 18791)
 (string-bytes 1 9111629)
 (vectors 16 58057)
 (vector-slots 8 1685938 79062)
 (floats 8 774 1282)
 (intervals 56 48179 341)
 (buffers 976 95)
 (heap 1024 105574 19267))




Acknowledgement sent to nljlistbox2@HIDDEN (N. Jackson):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22527; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 14 May 2016 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.